Chiffres d’envoi de la fenêtre, et écart avec la fenêtre précédente
curl --request GET \
--url https://api.dexnotify.com/api/v1/analytics/overview \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.dexnotify.com/api/v1/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dexnotify.com/api/v1/analytics/overview"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexnotify.com/api/v1/analytics/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Statistiques
Chiffres d’envoi de la fenêtre
Chiffres d’envoi de la fenêtre, et écart avec la fenêtre précédente
GET
/
api
/
v1
/
analytics
/
overview
Chiffres d’envoi de la fenêtre, et écart avec la fenêtre précédente
curl --request GET \
--url https://api.dexnotify.com/api/v1/analytics/overview \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.dexnotify.com/api/v1/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dexnotify.com/api/v1/analytics/overview"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexnotify.com/api/v1/analytics/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Clé API du projet, créée dans le dashboard (Développeurs › Clés API et SDK). Une clé dxn_prod_ vise la production, une clé dxn_stag_ le staging.
Query Parameters
Available options:
24h, 7d, 30d, custom Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^(?:[0-9a-fA-F]{24}|[A-Z0-9]{1,16}-[0-9]{6})$Pattern:
^[0-9a-fA-F]{24}$Response
Chiffres de la fenêtre demandée. Une fenêtre sans trafic rend une série de points à zéro et des totaux nuls, jamais une erreur. comparison porte la fenêtre de même longueur qui précède, et vaut null sous filtre de campagne. failures liste les motifs d’échec rencontrés, du plus fréquent au moins fréquent — et reste vide quand rien n’a échoué. activeUsers compte les utilisateurs vus par l’API sur la fenêtre, et vaut null sous filtre.